package com.kxs.common.core.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * <p>
 * 社交登录类型
 *
 * @author 没秃顶的码农
 * @date 2023/10/27
 */
@Getter
@RequiredArgsConstructor
public enum UserStatusEnum {

	/**
	 * 账号密码登录
	 */
	REMOVE(0, "注销"),
	NORMAL(1, "正常"),

	/**
	 * 锁定不可登陆和提现
	 */
	LOCKED(2, "锁定");

	/**
	 * 类型
	 */
	private final Integer code;

	/**
	 * 描述
	 */
	private final String description;

}
